Page MenuHomePhabricator

Make sure code that accesses legacy pre-MCR fields triggers warnings before switching off WRITE_OLD (compat) mode.
Closed, ResolvedPublic

Description

To get warnings, we should:

There seems to be no goo way to make the DB abstract layer issue such warnings though. We will probably have to hack something in. Regular expressions against the generated SQL, if all else fails...

Details

Related Gerrit Patches:

Event Timeline

daniel triaged this task as Normal priority.Aug 1 2018, 4:55 PM
daniel created this task.
WDoranWMF moved this task from MCR to mop on the Core Platform Team board.Jul 26 2019, 6:39 PM
daniel renamed this task from Make sure code that accesses the text table or uses rev_text_id triggers warnings before switching to write-new to Make sure code that accesses legacy pre-MCR fields triggers warnings before switching off WRITE_OLD (compat) mode..Aug 27 2019, 1:19 PM
daniel updated the task description. (Show Details)Sep 17 2019, 4:54 PM
daniel updated the task description. (Show Details)Sep 23 2019, 5:53 PM

Change 539921 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Log a warning when the 'text' flag is used with getQueryInfo()

https://gerrit.wikimedia.org/r/539921

daniel raised the priority of this task from Normal to High.Sep 30 2019, 5:32 PM

bumping to high, since this blocks 1.34

Change 539921 merged by jenkins-bot:
[mediawiki/core@master] Log a warning when the 'text' flag is used with getQueryInfo()

https://gerrit.wikimedia.org/r/539921

daniel lowered the priority of this task from High to Normal.Oct 8 2019, 9:43 AM
CCicalese_WMF closed this task as Resolved.Mon, Nov 4, 3:23 PM